/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/memory.hpp>

#include <studio/studio.hpp>

namespace nostalgia::sound {

static class: public studio::Module {
	ox::Vector<studio::EditorMaker> editors(studio::StudioContext&) const noexcept final {
		return {
		};
	}

	ox::Vector<ox::UPtr<studio::ItemMaker>> itemMakers(studio::StudioContext&) const noexcept final {
		ox::Vector<ox::UniquePtr<studio::ItemMaker>> out;
		return out;
	}
} const mod;

const studio::Module *studioModule() noexcept {
	return &mod;
}

}
